Synchronizer 12.53 ALM/JIRA getting ”FAILED_TO_READ_EP_SCHEMA” error

  • Questions
  • Synchronizer 12.53 ALM/JIRA getting ''FAILED_TO_READ_EP_SCHEMA'' error
Question ID: 107483
0
0

I’m using ALM Sync 12.53sp1 to create link between ALM12.53. and JIRA7.2 (Built-in JIRA adapter).

I created a link and the connectivity passes, but the field mapping window doesn’t show any fields. I tried to refresh schemas but I got the following error.

ERROR #1- server.link.FAILED_TO_READ_EP_SCHEMA : Failed to read endpoint schema. Error: server.link.FAILED_TO_READ_EP_SCHEMA : Failed to read endpoint schema. Error: server.RemoteExecService.UNHANDLED_EXCEPTION : Unknown exception type is caught: com.hp.qc.synchronizer.adapters.exceptions.AdapterException: adapter.GENERAL_FAILURE…
ERROR #2- server.link.FAILED_TO_READ_EP_SCHEMA : Failed to read endpoint schema. Error: server.RemoteExecService.UNHANDLED_EXCEPTION : Unknown exception type is caught: com.hp.qc.synchronizer.adapters.exceptions.AdapterException: adapter.GENERAL_FAILURE..
ERROR #3- server.RemoteExecService.UNHANDLED_EXCEPTION : Unknown exception type is caught: com.hp.qc.synchronizer.adapters.exceptions.AdapterException: adapter.GENERAL_FAILURE.
ERROR #4- adapter.GENERAL_FAILURE
ERROR #5- null

Not sure which end point schema is throwing this error as it is not specific. Any suggestions?

Marked as spam
Posted by (Questions: 187, Answers: 13)
Asked on March 2, 2017 4:27 pm
39 views
Answers (3)
0
Private answer

Sorry, JIRA 7.2 is not yet supported by HP's pre-installed JIRA Adapter for HP-synchronizer (latest version 12.52-sync Pack 1).

Marked as spam
Posted by (Questions: 3, Answers: 472)
Answered on March 2, 2017 4:28 pm
0
Private answer

I'm experiencing the same issue but as GoBroncos noted, I too am on v12.53 of the synchronizer. How is that different than v12.52? one would think the fix is in 12.53 unless it's not?

Marked as spam
Posted by (Questions: 1, Answers: 6)
Answered on February 27, 2018 4:16 pm
0
Private answer

The HPE Built-in JIRA Adapter only supports SPECIFIC versions (or subsets) of JIRA as noted in the HP-Sync readme/what's new or Installation Guide (they usually have incremental added versions supported, but not full list.)
For HP-Sync 12.53 SP1, Atlassian JIRA Adapter versions 6.x.x, 7.0.x, and 7.1.x are supported.
It is unclear from the ''What's new'' and readme for 12.53 SP2 whether JIRA 7.2 versions were added.

See this specification page for full supported list, but it only shows for the latest version of HPE-Synchronizer:
https://admhelp.microfocus.com/alm/specs/alm-synchronizer-system-requirements.htm

HP-sync 12.55 (no SP) added JIRA 7.4.4, and the LATEST version HPE-Sync 12.55 SP1 just out 2 weeks ago on Feb 12, 2018, supports QC/ALM 11.x - 12.5x (selected at install/upgrade or from Tools menu), and the built-in JIRa Adapter supports:

JIRA 6.2, 6.3, 6.4, 7.0, 7.1, 7.2, 7.3.x, 7.4.x, 7.5.x, and 7.6.x

You might as well UPGRADE to the latest HPE-Sync version (12.55/SP1) and make sure your JIRA version is in the list.

Marked as spam
Posted by (Questions: 3, Answers: 472)
Answered on February 27, 2018 5:12 pm